Freeciv-3.1: cm_result Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
cm_result Struct Reference

`#include <cm.h>`

## Data Fields

bool | aborted
bool | found_a_valid
bool | disorder
bool | happy
int | surplus [O_LAST]
int | city_radius_sq
bool * | worker_positions
citizens | specialists [SP_MAX]

## Detailed Description

Definition at line 52 of file cm.h.

## Field Documentation

## ◆ aborted

bool cm_result::aborted

Definition at line 53 of file cm.h.

Referenced by cm_find_best_solution().

## ◆ city_radius_sq

int cm_result::city_radius_sq

Definition at line 58 of file cm.h.

Referenced by cm_print_result(), cm_result_copy(), cm_result_new(), cm_result_workers(), and fc_results_are_equal().

## ◆ disorder

bool cm_result::disorder

Definition at line 54 of file cm.h.

Referenced by cm_print_result(), cm_result_copy(), and convert_solution_to_result().

## ◆ found_a_valid

bool cm_result::found_a_valid

Definition at line 54 of file cm.h.

Referenced by apply_result_on_server(), auto_arrange_workers(), cm_print_result(), cm_result_copy(), cma_apply_result(), cmafec_get_result_descr(), convert_solution_to_result(), dai_manage_taxes(), handle_city(), and update_city_cma_dialog().

## ◆ happy

bool cm_result::happy

Definition at line 54 of file cm.h.

Referenced by cm_print_result(), cm_result_copy(), cmafec_get_result_descr(), and convert_solution_to_result().

## ◆ specialists

citizens cm_result::specialists[SP_MAX]

Definition at line 60 of file cm.h.

Referenced by apply_cmresult_to_city(), apply_result_on_server(), cm_print_result(), cm_result_copy(), cm_result_specialists(), cmafec_get_result_descr(), and update_city_cma_dialog().

## ◆ surplus

int cm_result::surplus[O_LAST]

Definition at line 56 of file cm.h.

Referenced by cm_print_result(), cm_result_copy(), cmafec_get_result_descr(), and convert_solution_to_result().

## ◆ worker_positions

bool* cm_result::worker_positions

Definition at line 59 of file cm.h.

Referenced by apply_cmresult_to_city(), apply_result_on_server(), cm_print_result(), cm_result_copy(), cm_result_destroy(), cm_result_new(), cm_result_workers(), and fc_results_are_equal().